#!/bin/ksh
#############################################################################
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2009, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	deleteSNMData.sh
##   Description: Utility to delete all data related to Serial Number Management system.
##     usage:
##  	deleteSNMData.sh -url_prefix <prefix>
##  	e.g.
## 		deleteSNMData.sh -url_prefix http://localhost:9080
###############################################################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/tsEnv.sh
else
        . ${SCRIPT_DIR}/tsEnv.sh
fi

checkLogs

appendClassPathWithWASJars

#Change SSL settings in tsEnv.sh under the sslWASSettings function
SSL_SETTINGS=`sslWASSettings`

exec java -classpath $CLASSPATH -DRFIDIC_HOME=$RFIDIC_HOME -DTS_HOME=$RFIDIC_HOME $SSL_SETTINGS com.ibm.ts.snm.common.utils.PurgeUtil "$@"
