#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2006, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	encrypt-once.sh
##   Description: Generates an encrypted password for RFIDICServer.xml
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . $RFIDIC_HOME/bin/tsEnv.sh > /dev/null 2>&1
        . $RFIDIC_HOME/bin/utils.sh > /dev/null 2>&1
else
        . $SCRIPT_DIR/tsEnv.sh > /dev/null 2>&1
        . $SCRIPT_DIR/utils.sh > /dev/null 2>&1
fi

PASSWORD=$1

if [ -z "$PASSWORD" ];then
    # echo -n "Enter your password: "
    tsGetMessage.sh -noid RFID05258E
    #TODO workaround for reading password in AIX...
    stty -echo
    read PASSWORD
    stty echo
    echo
fi

java -classpath "$CLASSPATH" com.ibm.rfidic.utils.console.EncryptPassword $PASSWORD -xml;unset PASSWORD
