#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2006, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	exportMasterdata.sh
##   Description: utility to export masterdata
##     usage:
##  	exportMasterdata.sh <destination file>
##  	e.g.
## 		exportMasterdata.sh masterdata.xml
## 		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/tsEnv.sh
else
        . ${SCRIPT_DIR}/tsEnv.sh
fi

checkLogs

ALL_RFIDIC_DEFINES="-DRFIDIC_HOME=${RFIDIC_HOME} -DTS_HOME=${RFIDIC_HOME} $RFIDIC_LARGE_JAVA_HEAP"


exec java -classpath $CLASSPATH ${ALL_RFIDIC_DEFINES} com.ibm.rfidic.mdm.impl.MDMExport "$@"
