#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2006, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	gatherLogs.sh [ defectNumber ]
##   Description: gathers logs for support
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
	. ${RFIDIC_HOME}/bin/tsEnv.sh
else
	. ${SCRIPT_DIR}/tsEnv.sh
fi

echo "Verifying privileges of the current user..."
USERID="id"
user_id=`${USERID}`
ID=`id`
CURRENT_USER=`expr "$ID" : ".*uid=[0-9]*(\([^)]*\)*"`


if [ -O "${RFIDIC_HOME}/logs" ];then
        echo "Privileges of the current user verified."
else
        echo "The gatherLogs.sh should be run as the user who owns the $RFIDIC_HOME/logs directory."
        exit 1
fi

JAR=${WAS_HOME}/java/bin/jar
export JAR
if [ "$1" = "-a" ]
then
  INSTALL_LOG=${RFIDIC_HOME}/installLogs
  export INSTALL_LOG
  shift
fi

if [ -z "$1" ]                # No argument passed?
then
  DEFECT="Logs-`date`".zip
  export DEFECT
  DEFECT=`echo $DEFECT|sed "s/ /-/g"`
  DEFECT=`echo $DEFECT|sed "s/:/-/g"`

else
  export DEFECT="$1"
  DEFECT1=`echo ${DEFECT%%.zip}`
  if [ "$1" = "$DEFECT1" ]     # no .zip extension
  then
     DEFECT="$DEFECT.zip"
  fi
fi

MACHINE=/tmp/machine.txt
$WAS_HOME/bin/versionInfo.sh > $MACHINE
getDBVersion
DBVersion=$returnString
echo DBversion=$DBversion >> $MACHINE
dspmqver >> $MACHINE
PATH=$PATH:/etc:/sbin
ifconfig -a >> $MACHINE
hostname >> $MACHINE
uname -a >> $MACHINE

if [ -f "$PEDIGREE_HOME/etc/version.properties" ]
then
	$JAR -cf ""$DEFECT"" $MACHINE $INSTALL_LOG $RFIDIC_HOME/logs $RFIDIC_HOME/VersionInfo/ $RFIDIC_HOME/etc $RFIDIC_HOME/features/ $PEDIGREE_HOME/etc/version.properties $PEDIGREE_HOME/repository
else
	$JAR -cf ""$DEFECT"" $MACHINE $INSTALL_LOG $RFIDIC_HOME/logs $RFIDIC_HOME/VersionInfo/ $RFIDIC_HOME/etc
fi
# echo Gathered to $DEFECT
tsGetMessage.sh -noid RFID05259E "$DEFECT"
