#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2006, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	importMasterdata.sh
##   Description: utility to import masterdata
##     usage:
##  	importMasterdata.sh [ -url_prefix <prefix> ] <file list>
##  	e.g.
## 		importMasterdata.sh -url_prefix http://localhost:9081 location.xml product.xml
## 		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/tsEnv.sh
        . ${RFIDIC_HOME}/bin/utils.sh
else
        . ${SCRIPT_DIR}/tsEnv.sh
        . ${SCRIPT_DIR}/utils.sh
fi

if [ "$1" = "-url_prefix" ];then
    url_prefix=$2
    if [ -n "$2" ];then
        shift 2
    else
        shift
    fi
fi

if [ -z "$url_prefix" ];then
    getBaseUrl
    url_prefix=$base_url
fi

args="-url_prefix $url_prefix $@"

checkLogs
appendClassPathWithWASJars

#Change SSL settings in tsEnv.sh file under the sslWASSettings function
SSL_SETTINGS=`sslWASSettings`

ALL_RFIDIC_DEFINES="-DRFIDIC_HOME=${RFIDIC_HOME} -DTS_HOME=${RFIDIC_HOME} $RFIDIC_MEDIUM_JAVA_HEAP $SSL_SETTINGS"

exec java  -classpath $CLASSPATH ${ALL_RFIDIC_DEFINES} com.ibm.rfidic.mdm.impl.MDMImport $args