#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
import AdminUtilities

def getServerId( p, server ):
        sid=AdminConfig.getid('/Cell:'+p.get("CELLNAME")+'/Node:'+server[0]+'/Server:'+server[1])
        return sid

def getMls( sid ):
    mls=AdminConfig.list('MessageListenerService', sid)
    mlsList=AdminUtilities.convertToList(mls)
    return mlsList[0]

def removeListenerPortFromServer( sid, lpName ):
    mls=getMls( sid )
    ports=AdminConfig.list('ListenerPort', mls)
    portList=AdminUtilities.convertToList(ports)
    for port in portList:
        name=AdminConfig.showAttribute(port, 'name')
        if( name==lpName ):
            AdminConfig.remove(port)
            return

    msg=RFIDICGetMessage.getMessage('RFID07148I', lpName)
    print msg.getMessage()

def removeListenerPort( p, servers, lpName ):
    for server in servers:
        sid=getServerId(p, server)
        removeListenerPortFromServer( sid, lpName )

def createListenerPortOnServer( sid, destJndi, lpName, connFacName, state ):
    mls=getMls( sid )
    
    msg=RFIDICGetMessage.getMessage('RFID07150I', mls)
    print msg.getMessage()
    
    args=[ ['name', lpName], ['destinationJNDIName', destJndi],
           ['connectionFactoryJNDIName', connFacName] ]
    lp=AdminConfig.create( 'ListenerPort', mls, args )
    AdminConfig.create( 'StateManageable', lp, [ ['initialState', state] ] )

def createListenerPort( p, servers, destJndi, lpName, connFacName, state ):
    for server in servers:
        sid=getServerId(p, server)
        createListenerPortOnServer( sid, destJndi, lpName, connFacName, state )

def run( p, servers, destJndi, lpName, connFacName, state ):
    msg=RFIDICGetMessage.getMessage('RFID07151I')
    print msg.getMessage()
    
    removeListenerPort( p, servers, lpName )
    if( p.get("CONFIG_OPTION")=="configure" ):
        msg=RFIDICGetMessage.getMessage('RFID07152I', lpName)
        print msg.getMessage()
        createListenerPort(p, servers, destJndi, lpName, connFacName, state)
