#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
import AdminUtilities

def getWebServers(p):
    cell=p.get("CELLNAME")
    servers=AdminTask.listServers('[-serverType WEB_SERVER]')
    serverList=AdminUtilities.convertToList(servers)
    out=''
    for aServer in serverList:
        sname=aServer[0:aServer.find("(")]
        nname=aServer[aServer.find("nodes/")+6:aServer.find("servers/")-1]
        if( out != '' ):
            out=out+'+'
        out=out+'WebSphere:cell='+cell+',node='+nname+',server='+sname

    return out

def createServer(p, appLocation, appName):
    msg=RFIDICGetMessage.getMessage('RFID07052I', appName, appLocation)
    print msg.getMessage()
    
#    print "XXX not installing -- remove"
#    return
    if( appName==p.get("CPAPP_NAME") ):
        deployws=' -deployws'
    else:
        deployws=''

    if( p.get("ISCLUSTER")=='true' ):
        cluster=p.get("CLUSTERNAME")
        AdminApp.install( appLocation,
                          '[-cluster '+cluster+' -appname '+appName+deployws+']' )
        webs=getWebServers(p)
        if( webs != '' ):
            target='WebSphere:cell='+p.get("CELLNAME")+',cluster='+cluster
            target=target+'+'+webs
            AdminApp.edit( appName,
                           ['-MapModulesToServers',
                            [['.*', '.*.war,.*', target]]] )
    else:
        AdminApp.install( appLocation, '[-appname '+appName+deployws+']' )
            
def uninstallApp(appName):
    apps=AdminApp.list()
    appList=AdminUtilities.convertToList(apps)
    for app in appList:
        if( app == appName ):
            msg=RFIDICGetMessage.getMessage('RFID07056I', appName)
            print msg.getMessage()

            AdminApp.uninstall(appName)
            return
        
    #XXX - bundle
    print 'Application: '+appName+' not found'


def run(p, appLocationP, appNameP):
    appLocation=p.get(appLocationP)
    appName=p.get(appNameP)
    
    uninstallApp(appName)
    print "Saving..."
    AdminConfig.save()
    
    if( p.get("CONFIG_OPTION")=="configure" ):
        createServer(p, appLocation, appName)
        print "Saving..."
        AdminConfig.save()
