#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
import sys
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
import AdminUtilities

def doEps(p, server, cmd):
    queryStr='WebSphere:type=J2CMessageEndpoint,node='+server[0]+',process='+server[1]+',*'
    endpoints=AdminControl.queryNames(queryStr)
    epList=AdminUtilities.convertToList(endpoints)
    for ep in epList:
        status=AdminControl.invoke(ep, 'getStatus')
        if( cmd=='start' and status!='1' ):
            print 'Starting '+ep
            AdminControl.invoke(ep, 'resume')
        if( cmd=='stop' and status=='1' ):
            print 'Stopping '+ep
            AdminControl.invoke(ep, 'pause')
            
def doListeners(p, server, cmd):
    queryStr='WebSphere:type=ListenerPort,node='+server[0]+',process='+server[1]+',*'
    listeners=AdminControl.queryNames(queryStr)
    lList=AdminUtilities.convertToList(listeners)
    for lPort in lList:
        #XXX - bundle
        print 'Found listener port '+lPort
        state=AdminControl.getAttribute(lPort, 'started')
        if( cmd=='start' and state=='false' ):
            print 'Starting '+lPort
            AdminControl.invoke(lPort, 'start')
        if( cmd=='stop' and state=='true' ):
            print 'Stopping '+lPort
            AdminControl.invoke(lPort, 'stop')
        
def run(p, servers, cmd):
    for server in servers:
        doListeners(p, server, cmd)
        doEps(p, server, cmd)
        
#argv[0]=properties file argv[1]=ts jython path argv[2]==state
if( __name__=='__main__'):
    sys.path.append(sys.argv[1])
    import rfidicCfgUtils
    properties=rfidicCfgUtils.getProperties(sys.argv[0])
    servers=rfidicCfgUtils.findServers(properties)
    run(properties, servers, sys.argv[2])
