#!/bin/ksh

TRUE=0
FALSE=1

systemCheckLog=systemCheck.log
touch $systemCheckLog
if [ $? -ne 0 ];then
    systemCheckLog=/tmp/systemCheck.log
    touch $systemCheckLog
fi

networkCheck()
{
    echo "Network checking..." | tee -a $systemCheckLog
    COUNT=4
    NETWORK_OK="false"
    ping -q -c $COUNT localhost >> $systemCheckLog 2>&1
    if [ $? -eq 0 ];then
        ping -q -c $COUNT `hostname` >> $systemCheckLog 2>&1
        if [ $? -eq 0 ];then
            NETWORK_OK="true"
        fi
    fi
    if [ $NETWORK_OK = "true" ];then
        echo "Network OK" | tee -a $systemCheckLog
        return $TRUE
    else
        echo "** Network errors detected" | tee -a $systemCheckLog
        return $FALSE
    fi
}

networkCheck
networkCheckRC=$?


if [ $networkCheckRC -ne $TRUE ];then
    echo "Not all checks passed. Fix the failing checks and run again." | tee -a $systemCheckLog
else
    echo "System is ready to install IBM InfoSphere Traceability Server" | tee -a $systemCheckLog
fi
